BookmarkHandler Class Referenceabstract

`#include <bookmarkhandler.h>`

## Public Member Functions

virtual | ~BookmarkHandler ()
virtual void | handleBookmarks (const BookmarkList &bList, const ConferenceList &cList)=0

## Detailed Description

A virtual interface which can be reimplemented to receive bookmarks with help of a BookmarkStorage object.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.3

Definition at line 64 of file bookmarkhandler.h.

## Constructor & Destructor Documentation

## ~BookmarkHandler()

virtual ~BookmarkHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 70 of file bookmarkhandler.h.

## Member Function Documentation

## handleBookmarks()

virtual void handleBookmarks | ( | const BookmarkList & | bList,
|  | const ConferenceList & | cList )

pure virtual

This function is called when bookmarks arrive from the server.

Parameters

  bList | A list of URL bookmarks.
  cList | A list of conference bookmarks.

The documentation for this class was generated from the following file:

- bookmarkhandler.h